This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 524878

Summary: Yum fails to run after latest system update
Product: Red Hat Enterprise Linux 5 Reporter: meinstei
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED NOTABUG QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: medium Docs Contact:
Priority: low    
Version: 5.4   
Target Milestone: rc   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-23 14:35:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description meinstei 2009-09-22 10:56:52 EDT
User-Agent:       Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.4 (like Gecko)

after updating my system september 2, 2009 with the Large number of patches, yum now fails.  easiest way to show the error messages is;

yum --checkupdate
"
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /usr/lib/librpm-4.4.so: undefined symbol: SECKEY_SignatureLen

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Jun 11 2009, 14:09:58) 
[GCC 4.1.2 20080704 (Red Hat 4.1.2-44)]
"


Reproducible: Always

Steps to Reproduce:
1. yum --checkup
2.
3.
Actual Results:  
software updater starts then exits.


yum --checkupdate
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /usr/lib/librpm-4.4.so: undefined symbol: SECKEY_SignatureLen

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.3 (#1, Jun 11 2009, 14:09:58) 
[GCC 4.1.2 20080704 (Red Hat 4.1.2-44)]
Comment 1 seth vidal 2009-09-22 16:47:50 EDT
rpm -q rpm
rpm -q rpm-python


then as a specific test run:

python -c "import rpm; print rpm.TransactionSet"


thanks
Comment 2 meinstei 2009-09-23 06:03:18 EDT
from seth's request above;

[root@swannl ~]# rpm -q rpm
rpm-4.4.2.3-18.el5
[root@swannl ~]# rpm -q rpm-python
rpm-python-4.4.2.3-18.el5
[root@swannl ~]# python -c "import rpm;print rpm.TransactionSet"
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/rpm/__init__.py", line 7, in ?
    from _rpm import *
ImportError: /usr/lib/librpm-4.4.so: undefined symbol: SECKEY_SignatureLen
[root@swannl ~]#
Comment 3 James Antill 2009-09-23 09:51:01 EDT
It looks like something bad has happened to your rpm, try running:

 rpm -q rpm-libs
 rpm -V rpm rpm-libs rpm-python

...at a guess you'll need to reinstall rpm-libs.
Comment 4 seth vidal 2009-09-23 09:58:30 EDT
Actually it's is nss that is missing, I'd bet.

undefined symbol: SECKEY_SignatureLen
Comment 5 meinstei 2009-09-23 11:09:47 EDT
james and seth -

[root@swannl ~]# rpm -q rpm-libs
rpm-libs-4.4.2.3-18.el5
[root@swannl ~]# rpm -V rpm rpm-libs rpm-python
[root@swannl ~]# rpm -q nss
nss-3.12.3.99.3-1.el5_3.2


ok - how do i obtain the latest nss and rpm install it?

tia.
m
Comment 6 seth vidal 2009-09-23 11:22:59 EDT
That's the latest nss..

run this
rpm -Va --nofiles --nodigest

and see what comes out.

also run:
rpm -V nss
Comment 7 meinstei 2009-09-23 11:41:57 EDT
rpm -Va --nofiles --nodigest

runs a while but no output.

rpm -V nss

runs but no output??


tia.
m
Comment 8 seth vidal 2009-09-23 11:49:30 EDT
have you installed anything on this system NOT using an rpm? Maybe built something with 'make; make install'?

What's in /usr/local/lib on this system?
Comment 9 meinstei 2009-09-23 12:08:28 EDT
seth -

[root@swannl ~]# cd /usr/local/lib/
[root@swannl lib]# ls
amanda
[root@swannl lib]# 


which is my tape backup software.   if that bombing me out?
tia.
m
Comment 10 seth vidal 2009-09-23 12:34:21 EDT
what's in that dir?

okay let's try it this way

ldd /bin/rpm


and report the output.
Comment 11 meinstei 2009-09-23 13:05:27 EDT
/usr/local/lib/amanda -
everything looks like usual amanda libraries - libam*. kind of things.


ldd /bin/rpm

[root@swannl ~]# ldd /bin/rpm
        linux-gate.so.1 =>  (0x00e49000)
        librpm-4.4.so => /usr/lib/librpm-4.4.so (0x0085f000)
        librpmdb-4.4.so => /usr/lib/librpmdb-4.4.so (0x00380000)
        libselinux.so.1 => /lib/libselinux.so.1 (0x00bbd000)
        librpmio-4.4.so => /usr/lib/librpmio-4.4.so (0x00d99000)
        libpopt.so.0 => /usr/lib/libpopt.so.0 (0x00d6a000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00110000)
        libelf.so.1 => /usr/lib/libelf.so.1 (0x007d9000)
        libm.so.6 => /lib/libm.so.6 (0x0077c000)
        libz.so.1 => /usr/lib/libz.so.1 (0x007c4000)
        libnss3.so => /arcgis/servercore/agsidsvr/agsldap/lib/libnss3.so (0x0016f000)
        libnssutil3.so => /usr/lib/libnssutil3.so (0x00285000)
        libplds4.so => /arcgis/servercore/agsidsvr/agsldap/lib/libplds4.so (0x005dc000)
        libplc4.so => /arcgis/servercore/agsidsvr/agsldap/lib/libplc4.so (0x001dc000)
        libnspr4.so => /arcgis/servercore/agsidsvr/agsldap/lib/libnspr4.so (0x00d30000)
        libdl.so.2 => /lib/libdl.so.2 (0x007a5000)
        librt.so.1 => /lib/librt.so.1 (0x008fd000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x007ab000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0x05108000)
        libc.so.6 => /lib/libc.so.6 (0x00634000)
        libsepol.so.1 => /lib/libsepol.so.1 (0x00b75000)
        /lib/ld-linux.so.2 (0x00616000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0098a000)
        libsoftokn3.so => /arcgis/servercore/agsidsvr/agsldap/lib/libsoftokn3.so (0x00a1b000)
[root@swannl ~]#
Comment 12 seth vidal 2009-09-23 13:07:37 EDT
yeah so
      libnss3.so => /arcgis/servercore/agsidsvr/agsldap/lib/libnss3.so
(0x0016f000)


I think that's your problem right there.
Comment 13 meinstei 2009-09-23 13:44:53 EDT
seth -
tnx for the information.   that was old software that hasn't been used for a year.   i removed (rm -rf *)  all of it.

is there a command to "recheck and refresh" linked libraries - or don't i have to rebuilt the current linked libraries.

i am away for mthat server right now, so it will be first thing in the morning before i can try to run "software updater"

tnx for ALL your assistance.  hopefully things will be back to normal.
m
Comment 14 seth vidal 2009-09-23 13:51:10 EDT
ldconfig -v to start with.

then run:
ldd /bin/rpm again

make sure all the paths point to /lib or /usr/lib
Comment 15 meinstei 2009-09-23 14:03:37 EDT
everything now points to /lib  or /usr/lib

tnx.
i will try first thing tomorrow morning and hopefully close this case.
Comment 16 seth vidal 2009-09-23 14:06:36 EDT
python -c "import rpm;print rpm.TransactionSet"


if that works I suspect you're back in business.
Comment 17 meinstei 2009-09-23 14:29:39 EDT
[root@swannl ~]# python -c "import rpm;print rpm.TransactionSet"
<built-in function TransactionSet>
[root@swannl ~]# 


TNX